Assignment submissions : MEDIAL Video Assignment Submission Plugin

assignsubmission_helixassign
Maintained by Picture of MEDIAL StreamingMEDIAL Streaming
This plugin allows Teachers and Students to create and respond to Video Assignments that are uploaded and cataloged in MEDIAL rather than Moodle itself
180 sites
55 downloads
3 fans
Current versions available: 3



UPLOAD, RESPOND, AND GRADE

Our Moodle Plugin gives Lecturers and Students everything they need

Lecturers and Students want to use Moodle in new and exciting ways and they want to use Video! The MEDIAL Moodle Plugin allows Lecturers to upload a new video or select existing content, and then either add this to Course Pages or create Video Assignments.

Students can then respond to the Video Assignments set by the Lecturer and also receive video feedback on their response via the Grade Book.

 

 


These are some of the many things you can do with the Moodle MEDIAL Plugin:




Video Upload and Transcode

Uploading Video & Audio to Moodle itself can be problematic in terms of storage and delivery of media content

MEDIAL provides a way of uploading media large files to a central publishing point stored off of Moodle and delivered as streaming media.



Video Assignments and Assessments

Video being used as a tool for Assessment is becoming commonplace but Lecturers and Students need a secure way of doing this

MEDIAL enables lecturers to create video-based assignments that students can respond to with video, safe in the knowledge that their content is secure.



Grade Book Integration

Making and uploading a video assignment is just the start of the process

MEDIAL Moodle Plugin hooks into the Moodle Grade Book allowing lecturers to view student video assignments and grade them all without leaving Moodle.



Streams to All Devices

There are a vast array of devices that can be used to playback media and users expect their device to be properly supported by whatever systems they use

MEDIAL does all of the hard work for you in terms of transcoding content to work across all devices from within Moodle.





       




Sets

This plugin is part of set MEDIAL.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

Picture of MEDIAL Streaming
MEDIAL Streaming (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Plugins bot
    Mon, May 26, 2014, 5:33 AM
    Thanks for sharing this plugin with the Moodle community. Some formal issues were detected and reported by our automated plugin checker tool. Please review all the plugin checker results and fix the issues mentioned, if possible. These changes are typically pretty easy to make but if you have any questions just let us know. For now, I am going to mark this plugin as needing more work. Once you get these formal issues resolved, please use the link “Schedule this plugin for re-approval” so that the plugin code can be fully reviewed and approved by my human colleagues.
  • Picture of David Mudrák
    Wed, Aug 20, 2014, 4:58 PM
    Hi. Thanks for sharing this plugin with the community. While reviewing the code, I spotted some parts that should be fixed.

    I noticed that the recommended boilerplate was not used in the version.php file. The boilerplate is recommended at the beginning of each file and makes explicit the GPL license. You may want to review http://docs.moodle.org/dev/Coding_style#Files to learn more about the boilerplate comments.

    You are mixing $plugin and $module declaration in the version.php. Please use just $plugin. Also, your plugin depends on the mod_helixmedia being installed. Please declare that dependency explicitly in order to prevent unexpected errors. Please see https://docs.moodle.org/dev/version.php for details.

    I am getting the warning "Undefined property: stdClass::$version in /mod/assign/submission/helixassign/settings.php on line 23". Please use the development debugging level while working on Moodle plugins development and don't ignore the raised notices.

    It is encouraged to follow Moodle’s coding style as outlined in: http://docs.moodle.org/dev/Coding_style and http://docs.moodle.org/dev/Coding The code checker plugin can be quite helpful in fine tuning your code and can be found at: https://moodle.org/plugins/view.php?plugin=local_codechecker You may wish to consider using that tool to further improve your plugin.

    For now, I am going to mark this plugin as needing more work until we get these issues resolved. Thanks for your patience with the review and approval process.


  • Picture of David Mudrák
    Tue, Sep 2, 2014, 7:42 PM
    Thanks for fixing the raised issues. You are cleared to land now, welcome to the Plugins directory.
  • Picture of Anish Thomas
    Mon, May 15, 2017, 1:11 PM
    Is is possible to enable peer assessment, can students view each others video submission and leave comments as feedback.
  • Picture of Amanda Patrick
    Wed, Feb 13, 2019, 11:46 PM
    this is very easy way to stream videos, i like the whole content, thanks admin oscars live stream
  • Picture of Grzegorz Rogala
    Wed, Mar 27, 2019, 1:36 PM
    Dear Medial Team

    We started experiencing an issue with this plugin when students submit a video assignment in groups, with the group mode in the Assignment activity enabled.

    Description:
    Whenever grouped students are attempting to submit a video assignment, they are guided through the necessary steps to upload a video and the video upload progress bar completes. However at the end of the process when they click Save, they get an error message on top of the page saying "Nothing was Submitted". Also, the submission status inside of the Assignment activity says that there is no submission. Finally, even though the submission status says that there is no submission, when you navigate to the Assignment activity and view all submissions, a link to the video appears in the Video Assignment column. In conclusion, it seems like the video is being uploaded but students still get the 'Nothing was Submitted' error message and the submission status says that there is no submission.

    We rely on this plug-in for our formal assessment submissions so it would be great if this bug was fixed asap.

    Thanks for your help!
  • Picture of MEDIAL Streaming
    Wed, Mar 27, 2019, 9:27 PM
    Hi, thanks for your message. We actually have a fix for the issue that you have highlighted that will be out in our next build. Could you log a support case by e-mailing support@medial.com as we could make a pre-release version available to you if you are willing to try it out on a non prod Moodle?
Please login to post comments